%define upstream_name    Dist-Zilla-Plugin-Test-Kwalitee
%define upstream_version 2.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    Release tests for kwalitee
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Section)
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Kwalitee)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Output)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-Plugin-KwaliteeTests < 2.0.0
Provides:   perl-Dist-Zilla-Plugin-KwaliteeTests

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files

  xt/release/kwalitee.t - a standard Test::Kwalitee test

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:2.30.0-2.mga3
+ Revision: 366481
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 03 2011 jquelin <jquelin> 1:2.30.0-1.mga2
+ Revision: 162202
- update to 2.03

* Wed Sep 28 2011 jquelin <jquelin> 1:2.20.0-2.mga2
+ Revision: 149847
- obsoleting perl-Dist-Zilla-Plugin-KwaliteeTests

* Mon Sep 26 2011 jquelin <jquelin> 1:2.20.0-1.mga2
+ Revision: 148615
- update to 2.020000

* Mon Sep 26 2011 jquelin <jquelin> 1:1.112.410-1.mga2
+ Revision: 148425
- update to 1.112410

* Mon Sep 26 2011 jquelin <jquelin> 2.20.0-1.mga2
+ Revision: 148046
- update to 2.020000

* Wed Aug 31 2011 jquelin <jquelin> 1.112.410-2.mga2
+ Revision: 137123
- old dist is still available

* Wed Aug 31 2011 jquelin <jquelin> 1.112.410-1.mga2
+ Revision: 137046
- update to 1.112410
- dist renamed upstream

* Wed Jan 26 2011 jquelin <jquelin> 1.101.420-1.mga1
+ Revision: 40450
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-KwaliteeTests

